class DynamicCodeModel {
  String doctorId = '';
  String dynamicCode = '';
  String recordId = '';
  String requestedDoctor = '';
  String problemDoctorName = '';
  String problem = '';
  String problemCategory = '';

  DynamicCodeModel();

  factory DynamicCodeModel.fromJson(Map<String, dynamic> json){
    DynamicCodeModel rtvm = new DynamicCodeModel();

    rtvm.doctorId = json['doctorId'] ?? '';
    rtvm.dynamicCode= json['dynamicCode']??'';
    rtvm.requestedDoctor=json['doctorDetails']['doctorName']??'';
    rtvm.problem=json['recordDetails']['problem']??'';
    rtvm.problemDoctorName=json['recordDetails']['doctorName']??'';
    rtvm.problemCategory=json['recordDetails']['problemCategory']??'';
    rtvm.recordId= json['recordDetails']['recordId']??'';

    return rtvm;
  }

}